#!/bin/sh

# change the install path if required
UPTIME_BASE=/usr/local/uptime4

#First, collect our arguments
HOSTNAME=$UPTIME_HOSTNAME
PORT=$UPTIME_PORT
PASSWORD=$UPTIME_PASSWORD

TMPFILE=/tmp/$$.temp

# now use the info above to contact our agent, store the output in a file for parsing
`echo rexec $PASSWORD /opt/uptime-agent/bin/lpar.sh | ${UPTIME_BASE}/bin/netcat $HOSTNAME $PORT >$TMPFILE` 

# we have the output from the agent. If it is ERR that means there was a problem running the script on the agent
`grep ERR $TMPFILE`
if [ $? -eq 0 ]
then
echo "Could not execute agent side script!"
# by exiting with a 2 we are forcing a CRIT service outage
exit 2
fi

# because our agent side script produces output that fits into the plug-in monitor format
# we don't have to format our output at all, simply print it to the screen and we are finished.
cat $TMPFILE
`rm $TMPFILE`
exit 0
